Aller au contenu

condenser_api.get_block_header ​

Purpose ​

Retourne un en-tête de bloc (block header). Paramètres : block_num:int

block_num (int)
1Interroge les en-têtes du tout premier bloc.
8675309Interroge les en-têtes du bloc numéro 8 675 309.
62396745Interroge les en-têtes du bloc numéro 62 396 745.

Voir aussi : block_api.get_block_header

Parameters ​

PARAMETERS
json
[
  1
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_block_header",
    "params": [
      1
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_block_header",
    "params": [
      8675309
    ],
    "id": 1
  }'

Example 3 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_block_header",
    "params": [
      62396745
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "previous": "0000000000000000000000000000000000000000",
  "timestamp": "2016-03-24T16:05:00",
  "witness": "initminer",
  "transaction_merkle_root": "0000000000000000000000000000000000000000",
  "extensions": []
}